gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Structs.Parameter

Contents

- Exported types
- Methods
- Properties
  - name
  - value

Description

The GParameter struct is an auxiliary structure used to hand parameter name/value pairs to `objectNewv`.

Synopsis

- newtype Parameter = Parameter (ManagedPtr Parameter)
- newZeroParameter :: MonadIO m => m Parameter
- clearParameterName :: MonadIO m => Parameter -> m ()
- getParameterName :: MonadIO m => Parameter -> m (Maybe Text)
- setParameterName :: MonadIO m => Parameter -> CString -> m ()
- clearParameterValue :: MonadIO m => Parameter -> m ()
- getParameterValue :: MonadIO m => Parameter -> m (Maybe GValue)
- setParameterValue :: MonadIO m => Parameter -> Ptr GValue -> m ()

# Exported types

newtype Parameter Source #

Memory-managed wrapper type.

Constructors

Parameter (ManagedPtr Parameter) |

#### Instances

Instances details

Eq Parameter Source # |
Instance details Defined in GI.GObject.Structs.Parameter Methods (==) :: Parameter -> Parameter -> Bool Source # (/=) :: Parameter -> Parameter -> Bool Source #
BoxedPtr Parameter Source # |
Instance details Defined in GI.GObject.Structs.Parameter Methods boxedPtrCopy :: Parameter -> IO Parameter Source # boxedPtrFree :: Parameter -> IO () Source #
CallocPtr Parameter Source # |
Instance details Defined in GI.GObject.Structs.Parameter Methods boxedPtrCalloc :: IO (Ptr Parameter) Source #
ManagedPtrNewtype Parameter Source # |
Instance details Defined in GI.GObject.Structs.Parameter Methods toManagedPtr :: Parameter -> ManagedPtr Parameter Source #
tag ~ 'AttrSet => Constructible Parameter tag Source # |
Instance details Defined in GI.GObject.Structs.Parameter Methods new :: MonadIO m => (ManagedPtr Parameter -> Parameter) -> [AttrOp Parameter tag] -> m Parameter Source #

newZeroParameter :: MonadIO m => m Parameter Source #

Construct a `Parameter` struct initialized to zero.

# Methods

# Properties

## name

the parameter name

clearParameterName :: MonadIO m => Parameter -> m () Source #

Set the value of the “`name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #name

getParameterName :: MonadIO m => Parameter -> m (Maybe Text) Source #

Get the value of the “`name`” field. When overloading is enabled, this is equivalent to

    get parameter #name

setParameterName :: MonadIO m => Parameter -> CString -> m () Source #

Set the value of the “`name`” field. When overloading is enabled, this is equivalent to

    set parameter [ #name := value ]

## value

the parameter value

clearParameterValue :: MonadIO m => Parameter -> m () Source #

Set the value of the “`value`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #value

getParameterValue :: MonadIO m => Parameter -> m (Maybe GValue) Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get parameter #value

setParameterValue :: MonadIO m => Parameter -> Ptr GValue -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set parameter [ #value := value ]